Page MenuHomePhabricator

[bindings/go] Add ParseIR
ClosedPublic

Authored by aykevl on Aug 17 2019, 9:11 AM.

Details

Summary

This commit adds a single method to the Context object to parse a textual IR file. This is useful for reading input IR in unit tests.

Diff Detail

Repository
rL LLVM

Event Timeline

aykevl created this revision.Aug 17 2019, 9:11 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 17 2019, 9:11 AM
This revision is now accepted and ready to land.Aug 17 2019, 8:50 PM
Closed by commit rL369210: [bindings/go] Add ParseIR (authored by aykevl, committed by ). · Explain WhyAug 18 2019, 8:39 AM
This revision was automatically updated to reflect the committed changes.
aykevl added a subscriber: hans.EditedAug 18 2019, 11:18 AM

@hans can you help me out? I accidentally pushed to the release_80 branch instead of to trunk, because of a mistake in my git-llvm configuration. I think it should be reverted.
Also see IRC logs starting 17:52 UTC on this day (Sunday).

I'll take a look at adding a check in git-llvm to avoid mistakes like this in the future.

UPDATE: here it is: https://reviews.llvm.org/D66395

hans added a comment.Aug 20 2019, 2:09 AM

@hans can you help me out? I accidentally pushed to the release_80 branch instead of to trunk, because of a mistake in my git-llvm configuration. I think it should be reverted.
Also see IRC logs starting 17:52 UTC on this day (Sunday).

No problem, thanks for letting me know. I've reverted in r369350.